Bug 2011050 - Storage operator is not available after reboot cluster instances
Summary: Storage operator is not available after reboot cluster instances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: Elana Hashman
QA Contact: Yunfei Jiang
URL:
Whiteboard:
Depends On: 1997478
Blocks: 2011961
TreeView+ depends on / blocked
 
Reported: 2021-10-05 20:22 UTC by Ryan Phillips
Modified: 2021-10-18 17:52 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1997478
: 2011961 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:52:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 1000 0 None open [release-4.9] Bug 2011050: Ensure terminal pods maintain terminal status 2021-10-05 21:21:21 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:50 UTC

Comment 3 Benjamin Gilbert 2021-10-06 01:51:16 UTC
Adding dependency on the 4.9 bootimage bump tracker.

I'm also moving this BZ back to POST, since the CoreOS team process requires bootimage dependencies to be held in POST until the bootimage bump lands.  If that clashes with your process too much, let us know and we can clone this to a tracker bug.

Comment 4 Benjamin Gilbert 2021-10-07 19:51:43 UTC
After some additional discussion on the CoreOS team, I've created a separate bug 2011961 to track this fix landing in an RHCOS bootimage, and I'm reverting the changes to this BZ that were prompted by trying to fit it into the bootimage bump process.  Thanks for your patience, all.

Comment 5 Yunfei Jiang 2021-10-08 10:22:09 UTC
Wait for new version of rhcos (bug 2011961) get ready, and then verify with the latest rhcos build, the issue still exists in latest rhcos-49.84.202109241334-0-x86_64

Comment 7 Yunfei Jiang 2021-10-09 03:55:35 UTC
verified. PASS.

rhcos: 49.84.202110081407-0 (https://github.com/openshift/installer/commit/2a75f9bd56df413d726e5b9b98dbfbbc0884ff0f)
OCP: 4.9.0-rc.7

Comment 9 errata-xmlrpc 2021-10-18 17:52:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.